[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceFile.Init

Instantiate a new instance.

## Declaration

Source position: objects.pp line 502

`constructor TResourceFile.Init(`
`AStream: PStream`
`);`

## Description

Init instantiates a new instance of a TResourceFile object. If AStream is not nil then it is considered as a stream describing an executable image on disk.

Init will try to position the stream on the start of the resources section, and read all resources from the stream.

## Errors

None.

## See also

TResourceFile.Done |  | Destroy the instance and remove it from memory.

Documentation generated on: Feb 26 2014